Subject: Re: [decade] WG Reviews of the Decade Survey draft

From: Richard Alimi <[email-masked]>
Date: Mon, 3 Jan 2011 15:34:00 -0800

Hi Yunfei,

Thank you for the review. Some responses inline:

2010/12/27 zhangyunfei <[email-masked]>:
> First of all happy new year to everybody!
>
>
>
> The following is my WG review of draft-ietf-decade-survey-02.
>
>
>
> Summary:
>
>
>
> This document surveys thoroughly deployed, experimental and on-research
> in-network storage and cache systems/ sub-systems
>
> and describes their applicability for DECADE. It provides rich references
> for knowing what the existing systems have and
>
> what they lack of. Therefore the designing space of DECADE is explicated for
> better understanding. The draft is well written and
>
> conveys the group's intent well.
>
> The authors are suggested to categorize the surveyed systems/sub-systems as
> user-controlled (individual) services (in scope of DECADE)
>
> and network-controlled (mass) services (out of scope of DECADE) to make it
> more focus on DECADE type services.
>
>
>
> Specific comments and concerns:
>
> 1．  The organization of section 4: In this section the authors survey
> thoroughly deployed, experimental and on-research in-network storage
>
>       and cache systems/ sub-systems. However some of them are
> user-controlled (individual) services like section 4.1, 4.2,4.9,4.10 and
>
>      part of 4.12, which are in scope of DECADE; others are network
> controlled(mass) services where the users have no rights to operate
>
>     the in-network storage or caches, which are out of scope of DECADE. The
> current organization is a little bit messy and it's suggested
>
>     to separate the two parts and focus on the DECADE type services.

I would agree that Section 4 is somewhat long and that it would be
good to have subcategories for the systems.  This has been discussed a
couple of times amongst the authors but it was unclear as to the
proper way to do such a categorization.  For example, your
classification above, why is BranchCache (4.2)
user-controlled/individual?  S3 can both be used for individual and
mass usage.  It seemed that any attempt at categorization that we've
discussed thus far has counterexamples which would be debatable by a
reader.

To me, it seems a proper way to categorize them would be a feature
matrix, but that doesn't work well with the hierarchical sections of
the document.

We are more than happy to discuss this again amongst the authors, but
do you have some additional ideas on an appropriate scheme?

>
> 2．  Difference between cache and storage: In section 4, there are many
> places to mention in-network caches. In network-controlled
>
>      caches, it's hard to introduce DECADE service because some of the
> operations defined in DECADE like data deletion in DECADE
>
>      server (if we use the current cache as the DECADE server) may raise
> confliction with the existing cache update mechanism
>
>      by Cache operators when dealing with a certain data. In section 4.14
> the authors state the possible inapplicability for the cache scenarios
>
>      in using DECADE mechanism. But to make the draft more clear, it's
> better to state explicit the scope of DECADE ahead of this section.
>
>     And also more discussions on whether and how much degree we need the
> cache system/subsystem description in this draft are needed in the group.

That makes sense. If the section 4.14 of the Survey draft is updated
to reference the scope DECADE (perhaps via a reference to the problem
statement), do you think it would serve as good input to that
discussion?

> 3.  In section 2, the No.1 effect of DECADE, to my understanding, is to
> improve P2P application experience in up-band constraint environment like
>
>     cellular mobile networks. The current draft lacks of this although this
> is highlighted in the PS.

Makes sense.  We can add a reference to this discussion in the problem
statement in the introduction.

>
> 4.  Data Search Capability described in section 3.3 seems irrelevant to
> DECADE protocols.

I agree that most (if not all) aspects of "Search" could reside
outside of DECADE, but I think it still makes sense to cover them in
the survey.  At the very least, it can highlight the different
features for each storage system, particular the distributed ones.
Some additional discussion in the "Observations" section could talk
about this.

>
> 5.  In section 3.8 the authors propose three types of storage modes without
> explicit description. And the following echoes in section 4 still pose an
>
>      ambiguous image esp. between file and object oriented mode.

Agreed that the draft should define the terms, and that we should
clarify the distinction between "file-based" and "object-based"
(perhaps by renaming "file-based" to something like "hierarchical
filesystem" or "directory-based").

Thanks again for the review!
Rich

---

From: "zhangyunfei" <[email-masked]>
Date: Tue, 4 Jan 2011 10:11:01 +0800

Hi Rich,
   Happy new year and please see inline for the detail.
BR
Yunfei

zhangyunfei
2011-01-04

发件人： Richard Alimi
发送时间： 2011-01-04 07:34:02
收件人： zhangyunfei
抄送： [email-masked]
主题： Re: [decade] WG Reviews of the Decade Survey draft

Hi  Yunfei,

I make the attempt to categorize the systems according to the text and my understanding.
It's really a hard job to solve the matrix perfectly.

Sound good and I'll let you know if I have good ideas on solving this.

Yes, it would be.

It's also okay to state clearly this part is out of DECADE scope.

---

From: Richard Alimi <[email-masked]>
Date: Mon, 3 Jan 2011 21:33:40 -0800

Hi Yunfei,

>    Happy new year and please see inline for the detail.

Happy new year :)  Thanks for the feedback and we will make the
modifications in the next revision.

Rich

> BR
> Yunfei
>
> ________________________________
> zhangyunfei
> 2011-01-04
> ________________________________
> 发件人： Richard Alimi